<?php 
session_start();
//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}

if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
require('fphp.php');
$accion=$_REQUEST["accion"];
$codigo=$_REQUEST["codigo"];
$cedula=$_REQUEST["cedula"];
$enlace=cargar_conexion();
$consulta=mysql_query("select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysql_num_rows($consulta)!=0){
	$row=mysql_fetch_array($consulta);
	$per=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $per=''; 
///////////////////////////////////////////////// inicio del programa ////////////////////////////////////////////////////////////////
?>
<html>
	<head>
	<script language='javascript' src='fscript.js'></script>
	<link rel='stylesheet' type='text/css' href='styles.css' />
	</head>
<body>
		<?
		menu();
		?>
		<br><table border=0 cellpadding=0 cellspacing=0 width='100%'>
			<tr>
				<td  width='100%' align='left'>Empresa: <b><?echo $_SESSION['empresa_validar'];?></b>  - Per&iacute;odo: <b><font color=red><?echo $per;?></font></b>  -  Usuario: <b><?echo $_SESSION['nombre_validar'];?></b></td> 
			</tr>
		</table>	
<?
$entra=0;
echo "<b>Opciones:</b> &nbsp;&nbsp;<img border = 0 src='images/b_edit.png' alt='Seleccionar'>:Seleccionar Trabajador";
echo "<hr><h2>Solicitudes a CONSULTARH</h2>";

///////////////////////////////////////////////// graba registros  ////////////////////////////////////////////////////////////////
if ($_POST['graba']==1 ) {
		$desde = crear_fecha($_POST['fec1']);
		$hasta = crear_fecha($_POST['fec2']);
		if ($_POST['orden']==1) $tipo='Permiso';
		if ($_POST['orden']==2) $tipo='Reposo';
		if ($_POST['orden']==3) $tipo='Vacaciones';
		if ($_POST['orden']==4) $tipo='Liquidaciones';
		
		$consulta  ="insert into tab_solicitud (usuario, empresa, cedula, nombre, apellido, desde, hasta, tipo) values (";
		$consulta .="'".$_SESSION['usuario_validar']."','".$_SESSION['empresa_validar']."','".$_POST['cedula1']."','".$_POST['nombres']."','".$_POST['apellidos']."','".$desde."','".$hasta."','".$_POST['orden']."')";
		$resultado = mysql_query($consulta, $enlacex) or die('Verificaci&oacute;n del C&oacute;digo fall&oacute;: ' . mysql_error());			

		$consulta="Select * from tab_parametro";
		$resultado = mysql_query($consulta, $enlacex) or die('Verificaci&oacute;n del C&oacute;digo fall&oacute;: ' . mysql_error());
		$num_rows = mysql_num_rows($resultado);
		if ($num_rows != 0) {
			$row=mysql_fetch_array($resultado);
			$email1=$row['email01'];
			$email2=$row['email02'];
			//// armar correo
			$asunto = 'Solicitud desde SAIREH OnLINE de: '.$_SESSION['nombre_validar'];
			$email = 'info@saireh.com';
			$mensaje = 'Solicitud: '.$tipo."<br>";
			$mensaje .= 'Trabajador: '.$_POST['cedula1'].'-'.trim($_POST['nombres']).','.$_POST['apellidos']."<br>";
			$mensaje .= 'Fecha Desde: '.$desde."<br>";
			$mensaje .= 'Fecha Hasta: '.$hasta."<br>";
			$mensaje .= 'Empresa: '.$_SESSION['empresa_validar']."<br>";
			$mensaje .= 'Usuario: '.$_SESSION['usuario_validar']."<br>";
			$destinatario=($email1==''?'':$email1).($email2==''?'':",".$email2);
			$headers.="X-Mailer: PHP/". phpversion()."\r\n";
			$headers.="MIME-Version: 1.0 \r\n"; 
			$headers.="Content-Type: text/html; charset=iso-8859-1\r\n"; 
			$headers.="From:SAIREH OnLINE <info@saireh.com>\r\n";
			mail("$destinatario",utf8_decode("$asunto"),utf8_decode("<br>$mensaje."),"$headers");
		}	
}

///////////////////////////////////////////////// pantalla de solicitud ////////////////////////////////////////////////////////////////
if ($accion==3) {
	$consulta="select * from personal where id='".$_SESSION['id_validar']."' and codigo='".$cedula."' ";
	$resultado = mysql_query($consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysql_error());
	$num_rows = mysql_num_rows($resultado);
	if ($num_rows!=0) {
				$row=mysql_fetch_array($resultado);
				echo "<form name = 'entrada' action = '".$_SERVER['PHP_SELF']."' method = 'POST'>";
				echo "<br><center><font color=red>Datos del Trabajador</font></center>";
				echo "<table align ='center'>";
					echo "<tr>";
						echo "<td align = 'right'> C&eacute;dula: </td>";
						echo "<td align = 'left'> <input type = 'text' name = 'cedula1' size = '30' maxlength = '8' readonly value = '".$row['codigo']."'> </td>";
					echo "</tr>";
					echo "<tr>";
						echo "<td align = 'right'> Nombres: </td>";
						echo "<td align = 'left'> <input type = 'text' name = 'nombres' size = '30' maxlength = '50' value = '".$row['nombres']."' > </td>";
					echo "</tr>";
					echo "<tr>";
						echo "<td align = 'right'> Apellidos: </td>";
						echo "<td align = 'left'> <input type = 'text' name = 'apellidos' size = '30' maxlength = '50' value = '".$row['apellidos']."' >  </td>";
					echo "</tr>";
					echo "<tr>";
						echo "<td align = 'right' > Sueldo Mensual Bs.: </td>";
						echo "<td align = 'left' colspan = 3 ><input type = 'text' name = 'smes' size = '30' maxlength = '10' value = '".$row['smes']."'>  </td>";
					echo "</tr>";					
				echo "</table>";

				echo "<br><center><font color=red>Datos a Ingresar</font></center>";
				?>	
				<input type = 'hidden' name = 'graba' value = '1'>
				<input type = 'hidden' name = 'cedula' value = '<?echo $row['codigo'];?>'>
				<table align='center'>
						<tr>
							<td align=right> Solicitud de:</td>";
							<td>
							<input type = 'radio' name = 'orden' value = '1' checked> Permiso
							<input type = 'radio' name = 'orden' value = '2'> Reposo
							<input type = 'radio' name = 'orden' value = '3'> Vacaciones
							<input type = 'radio' name = 'orden' value = '3'> Liquidaci&oacute;n
						</tr>
						<tr>
							<td align='right'>Fecha desde (DDMMAAAA)?</b></td>
							<td ><input type = 'text' name='fec1' size='20' maxlength='8'>
							</td>
						</tr>
						<tr>
							<td align='right'>Fecha hasta (DDMMAAAA)?</b></td>
							<td ><input type = 'text' name='fec2' size='20' maxlength='8'>
							</td>
						</tr>
						<tr>
							<td colspan=2>&nbsp;</td>
						</tr>	
					</table>
				<?  
				echo "<table width = '20%' align ='center'>";
				echo "<tr><td><input type = 'submit' value = 'Grabar Solicitud y Enviar?'></td></form>";
				echo "<script language='javascript' type='text/javascript'>	document.entrada.fec1.focus(); </script>";
				echo "<form name = 'regresar' method = 'POST' action = '".$_SERVER['PHP_SELF']."'>";
				echo "<td><input type = 'submit' value = 'Regresar al Inicio'></td></tr>";
				echo "</table></form>";				
	}
}
	
///////////////////////////////////////////////// mostrar entrada de datos  ////////////////////////////////////////////////////////////////
if ((!$_POST || $_POST['graba']==1 || $_POST['busca']==1 ) && $accion!=3) {
	echo "<form name = 'entrada' action = '".$_SERVER['PHP_SELF']."' method = 'POST'  enctype='multipart/form-data'>";
	echo "<input type = 'hidden' name = 'busca' value = '1'>";
	echo "<table cellpadding=2 cellspacing=0 width='500' align='center'>";
	echo "<tr>";
		echo "<td align=right> C&eacute;dula/Nombre/Apellido:</td>";
		echo "<td> <input name='cedula' size = '30' maxlength = '8'></td>";
	echo "</tr>";
	echo "<tr>";
		echo "<td align=right> Ordenado por:</td>";
		echo "<td>";
		echo "	<input type = 'radio' name = 'orden' value = 'ced' checked> cedula";
		echo "	<input type = 'radio' name = 'orden' value = 'nom'> nombre";
		echo "	<input type = 'radio' name = 'orden' value = 'ape'> apellido";
		echo "	<input type = 'radio' name = 'orden' value = 'sso'> Ficha";
	echo "</tr>";
	echo "<tr>";
		echo "<td> </td>";
		echo "<td colspan = 3><input type = 'submit' value = 'Buscar Registros'></td>";
	echo "</tr>";
	echo "</table></form>";
	echo "<script language='javascript' type='text/javascript'>document.entrada.cedula.focus();</script>";
		
	$query1 = "";
	if ($_POST['cedula'] != "") {
		$query1 = " and codigo like '%".$_POST['cedula']."%' or nombres like '%".$_POST['cedula']."%' or apellidos like '%".$_POST['cedula']."%' ";
	}
	if ($_POST['orden'] == "ced") $query2 = " order by codigo";
	else if ($_POST['orden'] == "nom") $query2 = " order by nombres";
	else if ($_POST['orden'] == "ape") $query2 = " order by apellidos";
	else $query2 = " order by sso"; 
	
	$consulta="select * from personal where id='".$_SESSION['id_validar']."' ".$query1.$query2;
	$resultado = mysql_query($consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysql_error());
	$num_rows = mysql_num_rows($resultado);
	if ($num_rows != 0){
			echo "<table rules=none border=0 cellpadding=2 cellspacing=0 align='center'>";
			echo "<tr bgcolor='#035493' >";
			echo "<th align = left><font color='white'> C&eacute;dula </font></th>";
			echo "<th align = left><font color='white'> Nombres </font></th>";
			echo "<th align = left><font color='white'> Apellidos </font></th>";
			echo "<th align = left><font color='white'> Ficha </font></th>";
			echo "<th align = center><font color='white'> Status </font></th>";
			echo "<th align = center><font color='white'> Ingreso </font></th>";
			echo "<th colspan = 4 align = center><font color='white'> Acci&oacute;n </font></th>";
			for ($cont=0;$cont<$num_rows;$cont++) {
				$row = mysql_fetch_array($resultado);
				if ($color) $tcolor="#BFE5FF";
				else $tcolor="#F4FEFF";
				
				$cedula = $row['codigo'];
				echo '<tr bgcolor='.$tcolor.' >';
				echo "<td width='100'><a href='".$_SERVER['PHP_SELF']."?accion=3&cedula=".$cedula."'>".$row['codigo']."</a></td>";
				echo "<td width='250'>".$row['nombres']."</td>";
				echo "<td width='250'>".$row['apellidos']."</td>";
				echo "<td width='100'>".$row['sso']."</td>";
				echo "<td width='50' align='center'>".$row['status']."</td>";
				echo "<td width='120' align=center>".$row['fechai']."</td>";
				echo "<td width='30' align='center'><a href='".$_SERVER['PHP_SELF']."?accion=3&cedula=".$cedula."'><img border = 0 src='images/b_edit.png' alt='Seleccionar éste registro'></a></td>";
				echo '</tr>';
				$color=!$color;
			}
			echo '</table>';
	} else echo "<hr>"; 		
	mysql_free_result($resultado);
}	
mysql_close($enlace);
echo "</font>";
echo "</body>";
echo "</html>";
?>